Skip site navigation (1)Skip section navigation (2)

FreeBSD Manual Pages

  
 
  

home | help
Paws::IAM::SetDefaultPUseryContributed PePaws::IAM::SetDefaultPolicyVersion(3)

NAME
       Paws::IAM::SetDefaultPolicyVersion - Arguments for method
       SetDefaultPolicyVersion on Paws::IAM

DESCRIPTION
       This class represents the parameters used for calling the method
       SetDefaultPolicyVersion on the AWS Identity and Access Management
       service.	Use the	attributes of this class as arguments to method
       SetDefaultPolicyVersion.

       You shouln't make instances of this class. Each attribute should	be
       used as a named argument	in the call to SetDefaultPolicyVersion.

       As an example:

	 $service_obj->SetDefaultPolicyVersion(Att1 => $value1,	Att2 =>	$value2, ...);

       Values for attributes that are native types (Int, String, Float,	etc)
       can passed as-is	(scalar	values). Values	for complex Types (objects)
       can be passed as	a HashRef. The keys and	values of the hashref will be
       used to instance	the underlying object.

ATTRIBUTES
   REQUIRED PolicyArn => Str
   REQUIRED VersionId => Str
       The version of the policy to set	as the default (operative) version.

       For more	information about managed policy versions, see Versioning for
       Managed Policies	in the Using IAM guide.

SEE ALSO
       This class forms	part of	Paws, documenting arguments for	method
       SetDefaultPolicyVersion in Paws::IAM

BUGS and CONTRIBUTIONS
       The source code is located here:	https://github.com/pplu/aws-sdk-perl

       Please report bugs to: https://github.com/pplu/aws-sdk-perl/issues

perl v5.24.1			  2015-08Paws::IAM::SetDefaultPolicyVersion(3)

NAME | DESCRIPTION | ATTRIBUTES | SEE ALSO | BUGS and CONTRIBUTIONS

Want to link to this manual page? Use this URL:
<https://www.freebsd.org/cgi/man.cgi?query=Paws::IAM::SetDefaultPolicyVersion&sektion=3&manpath=FreeBSD+12.0-RELEASE+and+Ports>

home | help